QoreClassMemberIterator Class Referencefinal

iterates normal (non-static) members of a class More...

`#include <QoreClass.h>`

## Public Member Functions

DLLEXPORT | QoreClassMemberIterator (const QoreClass &cls)
| creates the iterator; call next() to start iterating
DLLEXPORT | ~QoreClassMemberIterator ()
| destroys the object
DLLEXPORT const QoreExternalNormalMember & | getMember () const
| returns the member
DLLEXPORT const char * | getName () const
| returns the member's name
DLLEXPORT bool | next ()
| returns advances to the next element (or to the first element if starting to iterate) and returns true if there is an element to query or returns false if at the end of the list
DLLEXPORT bool | valid () const
| returns true if the iterator is pointing at a valid element

## Detailed Description

iterates normal (non-static) members of a class

Since
  Qore 0.9

The documentation for this class was generated from the following file:

- include/qore/QoreClass.h